
From: Jeff Dike <jdike@addtoit.com>

This makes UML load at 0x8048000 rather than 0xa0000000 when CONFIG_MODE_SKAS
is on and CONFIG_MODE_TT is off.  This will make it more valgrind-friendly,
and also allow much greater physical memory sizes without needing to use
highmem.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Makefile      |    6 +++++-
 25-akpm/arch/um/Makefile-i386 |    6 ++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

diff -puN arch/um/Makefile~uml-allow-uml-to-load-in-the-normal-location arch/um/Makefile
--- 25/arch/um/Makefile~uml-allow-uml-to-load-in-the-normal-location	2004-09-23 00:08:00.113058776 -0700
+++ 25-akpm/arch/um/Makefile	2004-09-23 00:08:00.119057864 -0700
@@ -109,8 +109,12 @@ CPP_MODE_TT := $(shell [ "$(CONFIG_MODE_
 CONFIG_KERNEL_STACK_ORDER ?= 2
 STACK_SIZE := $(shell echo $$[ 4096 * (1 << $(CONFIG_KERNEL_STACK_ORDER)) ] )
 
+ifndef START
+  START = $$(($(TOP_ADDR) - $(SIZE)))
+endif
+
 CPPFLAGS_vmlinux.lds = $(shell echo -U$(SUBARCH) \
-	-DSTART=$$(($(TOP_ADDR) - $(SIZE))) -DELF_ARCH=$(ELF_ARCH) \
+	-DSTART=$(START) -DELF_ARCH=$(ELF_ARCH) \
 	-DELF_FORMAT=\"$(ELF_FORMAT)\" $(CPP_MODE_TT) \
 	-DKERNEL_STACK_SIZE=$(STACK_SIZE))
 
diff -puN arch/um/Makefile-i386~uml-allow-uml-to-load-in-the-normal-location arch/um/Makefile-i386
--- 25/arch/um/Makefile-i386~uml-allow-uml-to-load-in-the-normal-location	2004-09-23 00:08:00.115058472 -0700
+++ 25-akpm/arch/um/Makefile-i386	2004-09-23 00:08:00.119057864 -0700
@@ -4,6 +4,12 @@ else
 TOP_ADDR = 0xc0000000
 endif
 
+ifeq ($(CONFIG_MODE_SKAS),y)
+  ifneq ($(CONFIG_MODE_TT),y)
+     START = 0x8048000
+  endif
+endif
+
 CFLAGS += -U__$(SUBARCH)__ -U$(SUBARCH)
 
 ifneq ($(CONFIG_GPROF),y)
_
